// Load.h: interface for the CLoad class.
//
//////////////////////////////////////////////////////////////////////

/*
    Copyright (C) 2008  Colin Caprani - www.colincaprani.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#if !defined(AFX_LOAD_H__4F750ADE_99FB_4480_A631_273201B4F779__INCLUDED_)
#define AFX_LOAD_H__4F750ADE_99FB_4480_A631_273201B4F779__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CLoad  
{
public:
	double showServiceLoad();
	double showUltLoad();
	CLoad();
	virtual ~CLoad();

protected:
	double m_Qk;
	double m_Gk;
	double m_GammaQ;
	double m_GammaG;
};

#endif // !defined(AFX_LOAD_H__4F750ADE_99FB_4480_A631_273201B4F779__INCLUDED_)
