// PointLoad.cpp: implementation of the CPointLoad class.
//
//////////////////////////////////////////////////////////////////////

/*
    Copyright (C) 2008  Colin Caprani - www.colincaprani.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "PointLoad.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CPointLoad::CPointLoad(double value[])
{
	m_Gk = value[0];
	m_Qk = value[1];
	m_GammaG = value[2];
	m_GammaQ = value[3];

}

CPointLoad::~CPointLoad()
{

}

void CPointLoad::setPosition(double position)
{
	m_Position = position;

}

double CPointLoad::showPosition()
{
	return m_Position;

}
