// PointLoad.h: interface for the CPointLoad class.
//
//////////////////////////////////////////////////////////////////////

/*
    Copyright (C) 2008  Colin Caprani - www.colincaprani.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#if !defined(AFX_POINTLOAD_H__63874D50_A04F_466E_BD72_21238A794510__INCLUDED_)
#define AFX_POINTLOAD_H__63874D50_A04F_466E_BD72_21238A794510__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Load.h"

class CPointLoad : public CLoad  
{
public:
	double showPosition();
	void setPosition(double position);
	CPointLoad(double value[]);
	virtual ~CPointLoad();

protected:
	double m_Position;
};

#endif // !defined(AFX_POINTLOAD_H__63874D50_A04F_466E_BD72_21238A794510__INCLUDED_)
