// SteelBeam.cpp: implementation of the CSteelBeam class.
//
//////////////////////////////////////////////////////////////////////

/*
    Copyright (C) 2008  Colin Caprani - www.colincaprani.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "SteelBeam.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CSteelBeam::CSteelBeam(double value[])
{
	m_Evalue = value[0];
	m_Ivalue = value[1];
	m_Yield = value[2];
	m_Span = value[3];
}

CSteelBeam::~CSteelBeam()
{

}

double CSteelBeam::showYield()
{
	return m_Yield;

}

double CSteelBeam::showIvalue()
{
	return m_Ivalue;

}

double CSteelBeam::showEvalue()
{
	return m_Evalue;

}
