// SteelBeam.h: interface for the CSteelBeam class.
//
//////////////////////////////////////////////////////////////////////

/*
    Copyright (C) 2008  Colin Caprani - www.colincaprani.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#if !defined(AFX_STEELBEAM_H__16EA3CD8_D75F_4F47_963B_9277026C9EC5__INCLUDED_)
#define AFX_STEELBEAM_H__16EA3CD8_D75F_4F47_963B_9277026C9EC5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Beam.h"

class CSteelBeam : public CBeam  
{
public:
	double showEvalue();
	double showIvalue();
	double showYield();
	CSteelBeam(double value[]);
	virtual ~CSteelBeam();

protected:
	double m_Ivalue;
	double m_Yield;
	double m_Evalue;
};

#endif // !defined(AFX_STEELBEAM_H__16EA3CD8_D75F_4F47_963B_9277026C9EC5__INCLUDED_)
